// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once
#include "ISCW_UEdGraph.h"

#include <memory>
#include <string>

using std::shared_ptr;
using std::wstring;

namespace Sourcify
{	
	class ISCW_UAIGraph : public virtual ISCW_UEdGraph
	{
	public:
		virtual ~ISCW_UAIGraph() = default;
		
		virtual shared_ptr<ISCW_UAIGraph> ToUAIGraphPtr() = 0;
		virtual shared_ptr<const ISCW_UAIGraph> ToUAIGraphPtr() const = 0;
	};

	using ISCW_UAIGraphConstPtr = shared_ptr<const ISCW_UAIGraph>;
	using ISCW_UAIGraphPtr = shared_ptr<ISCW_UAIGraph>;
} // namespace Sourcify